coupang
PUT/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/quantities/{quantity}2609170000

Changing quantity of each product item

# 01

Summary

Changing quantity of each product item

# 02

Details

Available buyer market: Korea,Taiwan

Change inventory quantity of each product item. This feature can be used when option ID(vendorItemId) is issue after sale request is applied and approved.

Path

PUT/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/quantities/{quantity}

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/quantities/{quantity}

URL API Name

UPDATE_PRODUCT_QUANTITY_BY_ITEM
# 03

Path parameters

NameTypeDescription
vendorItemId*number
Option ID
It is a unique number given to vendor item.
quantity*number
Inventory quantity
# 04

Response body

Response message

NameTypeDescription
codestring
SUCCESS/ERROR
messagestring
Result message

Response Example

{
  "code": "SUCCESS",
  "message": "재고 변경을 완료했습니다."
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check request parameter)

Invalid inventory quantity.

Check if correct inventory quantity is entered.

400400 (Check request parameter)

Failed to change inventory. [Option ID[3048***251] : It is not possible to change deleted product.]

Check if optionID(vendorItemId) is deleted.

400400 (Check request parameter)

Failed to change the inventory. [vendoritemid 3047***045 not found]

Check if correct optionID(vendorItemId) value is entered.